function [norm] = L2Norm(r,f)

%Version 1.0
%Copyright 28 December 2012 by Alan R. Parry
%Permission is granted to all to use this software for non-commercial uses
%only. Permission for commercial use must be obtained in writing from the
%author.
%
%This function approximates the square of the L2 norm, "norm", of the
%function "f" by computing the corresponding left hand Riemann sum on the
%mesh "r".

%Compute parameters

N = length(r)-1;
dr = r(2);

%Define function

Norm = zeros(1,N+1);

%Compute norm

for k = 1:N+1
    
    Norm(k) = abs(f(k))^2*dr;
    
end

norm = sum(Norm);


end

    
    