function [c] = L2NormCMP(r,W,C,B)

%Version 1.0
%Copyright 28 December 2012 by Alan R. Parry
%Permission is granted to all to use this software for non-commercial uses
%only. Permission for commercial use must be obtained in writing from the
%author.
%
%This function computes the square of the L2 norm of the difference between
%both "W" and "B" and "C" and "B" on the mesh "r".  Then it computes the
%ratio, "c" between them.  This program is necessary to find values of
%Upsilon which generate best fit static states that are worse than 20%
%better than the best fit constant function.

%Compute the difference of the functions

Wdiff = W - B;
Cdiff = C - B;

%Compute the square of the L2 norm

L2Wdiff = L2Norm(r,Wdiff);
L2Cdiff = L2Norm(r,Cdiff);

%Compute the ratio between them

c = L2Wdiff/L2Cdiff;

end

